curl --request PUT \
--url https://dev.sbx.imprint.co/v2/orders/{order_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_method_id": "0144ea84-3c39-4382-a37a-03c699b77646",
"partner_order_id": "o-c8a1fe46bbff4a18ba1d",
"total_order_amount": 274999,
"id": "77f60af4-185e-4867-b113-34e3cf7c6acd",
"customer_id": "1bb0ab64-ed57-4f2f-bd8d-ab04d1a365c5",
"merchant_id": "m-123456789",
"merchant_name": "Rest Assured",
"merchant_address": [
{
"street_line1": "123 Main St",
"street_line2": "Apt 4B",
"city": "San Francisco",
"state": "CA",
"postal_code": "94105",
"country": "USA"
}
],
"order_lines": [
{
"name": "Couch Supreme",
"product_url": "www.restassured.com/couch-supreme",
"image_url": "https://cdn.restassured.com/couch-supreme.jpg",
"quantity": 1,
"rate": 274999,
"rewards_rate": 2500
}
],
"total_rewards_amount": 2500,
"currency": "USD",
"created_at": "2025-02-13T19:08:07Z",
"updated_at": "2025-02-13T19:08:07Z"
}
'import requests
url = "https://dev.sbx.imprint.co/v2/orders/{order_id}"
payload = {
"payment_method_id": "0144ea84-3c39-4382-a37a-03c699b77646",
"partner_order_id": "o-c8a1fe46bbff4a18ba1d",
"total_order_amount": 274999,
"id": "77f60af4-185e-4867-b113-34e3cf7c6acd",
"customer_id": "1bb0ab64-ed57-4f2f-bd8d-ab04d1a365c5",
"merchant_id": "m-123456789",
"merchant_name": "Rest Assured",
"merchant_address": [
{
"street_line1": "123 Main St",
"street_line2": "Apt 4B",
"city": "San Francisco",
"state": "CA",
"postal_code": "94105",
"country": "USA"
}
],
"order_lines": [
{
"name": "Couch Supreme",
"product_url": "www.restassured.com/couch-supreme",
"image_url": "https://cdn.restassured.com/couch-supreme.jpg",
"quantity": 1,
"rate": 274999,
"rewards_rate": 2500
}
],
"total_rewards_amount": 2500,
"currency": "USD",
"created_at": "2025-02-13T19:08:07Z",
"updated_at": "2025-02-13T19:08:07Z"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payment_method_id: '0144ea84-3c39-4382-a37a-03c699b77646',
partner_order_id: 'o-c8a1fe46bbff4a18ba1d',
total_order_amount: 274999,
id: '77f60af4-185e-4867-b113-34e3cf7c6acd',
customer_id: '1bb0ab64-ed57-4f2f-bd8d-ab04d1a365c5',
merchant_id: 'm-123456789',
merchant_name: 'Rest Assured',
merchant_address: [
{
street_line1: '123 Main St',
street_line2: 'Apt 4B',
city: 'San Francisco',
state: 'CA',
postal_code: '94105',
country: 'USA'
}
],
order_lines: [
{
name: 'Couch Supreme',
product_url: 'www.restassured.com/couch-supreme',
image_url: 'https://cdn.restassured.com/couch-supreme.jpg',
quantity: 1,
rate: 274999,
rewards_rate: 2500
}
],
total_rewards_amount: 2500,
currency: 'USD',
created_at: '2025-02-13T19:08:07Z',
updated_at: '2025-02-13T19:08:07Z'
})
};
fetch('https://dev.sbx.imprint.co/v2/orders/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_method_id": "0144ea84-3c39-4382-a37a-03c699b77646",
"partner_order_id": "o-c8a1fe46bbff4a18ba1d",
"total_order_amount": 274999,
"id": "77f60af4-185e-4867-b113-34e3cf7c6acd",
"customer_id": "1bb0ab64-ed57-4f2f-bd8d-ab04d1a365c5",
"merchant_id": "m-123456789",
"merchant_name": "Rest Assured",
"merchant_address": [
{
"street_line1": "123 Main St",
"street_line2": "Apt 4B",
"city": "San Francisco",
"state": "CA",
"postal_code": "94105",
"country": "USA"
}
],
"order_lines": [
{
"name": "Couch Supreme",
"product_url": "www.restassured.com/couch-supreme",
"image_url": "https://cdn.restassured.com/couch-supreme.jpg",
"quantity": 1,
"rate": 274999,
"rewards_rate": 2500
}
],
"total_rewards_amount": 2500,
"currency": "USD",
"created_at": "2025-02-13T19:08:07Z",
"updated_at": "2025-02-13T19:08:07Z"
}{
"error": {
"type": "BAD_REQUEST_ERROR",
"message": "unsupported reward_type: INVALID, must be STATEMENT or DELAYED"
}
}Modify order
Modify an existing order.
Required scope: ORDER_WRITE
Authorizations
Basic HTTP authentication. Allowed headers-- Authorization: Basic <base64(api_key_id:api_key_secret)>
Path Parameters
Unique identifier for the order
Body
Payment method identifier
"0144ea84-3c39-4382-a37a-03c699b77646"
Partner's order identifier
"o-c8a1fe46bbff4a18ba1d"
Total order amount ($2,699.99 + $50.00)
274999
Unique identifier for the order
"77f60af4-185e-4867-b113-34e3cf7c6acd"
Customer identifier
"1bb0ab64-ed57-4f2f-bd8d-ab04d1a365c5"
Merchant identifier
"m-123456789"
Merchant name
"Rest Assured"
List of merchant addresses
Show child attributes
Show child attributes
An array of items that make up the order, used for the purpose of establishing the items, amounts, and rewards that are expected to be included in events sent to Imprint following order creation.
Changes made to orders after the order is created can be implicitly communicated to Imprint through the event creation process following the creation of the order; modifying the order itself is not necessary. The set of events sent to Imprint after order creation serve as the final source of truth for transaction amounts, rewards, order lines, etc.
When provided, the API will require that the calculated sum of all the rates and rewards rates within (taking quantities into account) are equal to the total_order_amount and total_rewards_amount, respectively.
Show child attributes
Show child attributes
[
{
"name": "Couch Supreme",
"product_url": "www.restassured.com/couch-supreme",
"image_url": "https://cdn.restassured.com/couch-supreme.jpg",
"quantity": 1,
"rate": 274999,
"rewards_rate": 2500
}
]
Total rewards amount ($25 + $0)
2500
The 3-character currency code of the amount in ISO 4217 format (e.g., "USD")
"USD"
The RFC-3339 timestamp when the order was created
"2025-02-13T19:08:07Z"
The RFC-3339 timestamp when the order was last updated
"2025-02-13T19:08:07Z"
Response
Order modified successfully
Payment method identifier
"0144ea84-3c39-4382-a37a-03c699b77646"
Partner's order identifier
"o-c8a1fe46bbff4a18ba1d"
Total order amount ($2,699.99 + $50.00)
274999
Unique identifier for the order
"77f60af4-185e-4867-b113-34e3cf7c6acd"
Customer identifier
"1bb0ab64-ed57-4f2f-bd8d-ab04d1a365c5"
Merchant identifier
"m-123456789"
Merchant name
"Rest Assured"
List of merchant addresses
Show child attributes
Show child attributes
An array of items that make up the order, used for the purpose of establishing the items, amounts, and rewards that are expected to be included in events sent to Imprint following order creation.
Changes made to orders after the order is created can be implicitly communicated to Imprint through the event creation process following the creation of the order; modifying the order itself is not necessary. The set of events sent to Imprint after order creation serve as the final source of truth for transaction amounts, rewards, order lines, etc.
When provided, the API will require that the calculated sum of all the rates and rewards rates within (taking quantities into account) are equal to the total_order_amount and total_rewards_amount, respectively.
Show child attributes
Show child attributes
[
{
"name": "Couch Supreme",
"product_url": "www.restassured.com/couch-supreme",
"image_url": "https://cdn.restassured.com/couch-supreme.jpg",
"quantity": 1,
"rate": 274999,
"rewards_rate": 2500
}
]
Total rewards amount ($25 + $0)
2500
The 3-character currency code of the amount in ISO 4217 format (e.g., "USD")
"USD"
The RFC-3339 timestamp when the order was created
"2025-02-13T19:08:07Z"
The RFC-3339 timestamp when the order was last updated
"2025-02-13T19:08:07Z"